<!doctype html>

<html lang="en">
<head>
<meta charset="utf-8">

<title>SPADE Chart</title>
<meta content="width=device-width, initial-scale=1" name="viewport" />
<meta name="description" content="Template HTML file for SPADE charts">
<meta name="author" content="Simon Patton">

<script src="../scripts/bootstrap.js"></script>
</head>

<body>

	<div id="container" style="width: 100%; height: 400px">
		<div id="blank_plot">
			<div id="title_div">
				<span id="container_content_title">Spade quantity</span> <span
					id="awaiting_data_message">Loading
					.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
			</div>
		</div>
	</div>

	<script>
		var query_defaults = {
			'instance' : 'Unknown',
			'interval' : 60,
			'mode' : 'hourly',
			'quantity' : 'placements',
			'span' : 144
		};

		function downloadJSAtOnload() {
			var sources = 'scripts/';
			var scripts = []
			if ('daily' == parse_query()['mode']) {
				scripts.push('https://code.highcharts.com/stock/highstock.js');
			} else {
				scripts.push('https://code.highcharts.com/highcharts.js');
			}
			scripts.push('https://code.highcharts.com/stock/modules/data.js');
			scripts.push('https://code.highcharts.com/modules/data.js');
			scripts.push('https://code.highcharts.com/themes/gray.js');
			scripts.push('../' + sources + parse_query()['mode']
					+ '.js');
			scriptLoader.load(scripts);
		}

		if (window.addEventListener) {
			window.addEventListener("load", downloadJSAtOnload, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", downloadJSAtOnload);
		} else {
			window.onload = downloadJSAtOnload;
		}
	</script>
</body>
</html>